# class MCollective::Data::Result

### Public Class Methods

new() click to toggle source

    # File lib/mcollective/data/result.rb, line 9
    def initialize
      @data = {}
    end

### Public Instance Methods

[](key) click to toggle source

    # File lib/mcollective/data/result.rb, line 17
    def [](key)
      @data[key.to_sym]
    end

[]=(key, val) click to toggle source

    # File lib/mcollective/data/result.rb, line 21
    def []=(key, val)
      raise "Can only store String, Integer, Float or Boolean data but got #{val.class} for key #{key}" unless [String, Fixnum, Bignum, Float, TrueClass, FalseClass].include?(val.class)

      @data[key.to_sym] = val
    end

include?(key) click to toggle source

    # File lib/mcollective/data/result.rb, line 13
    def include?(key)
      @data.include?(key.to_sym)
    end

keys() click to toggle source

    # File lib/mcollective/data/result.rb, line 27
    def keys
      @data.keys
    end

method_missing(method, *args) click to toggle source

    # File lib/mcollective/data/result.rb, line 31
    def method_missing(method, *args)
      key = method.to_sym

      raise NameError, "undefined local variable or method `%s'" % key unless include?(key)

      @data[key]
    end